package cn.datax.tool.codegen.service;

import cn.datax.tool.codegen.entity.GenTableEntity;
import cn.datax.tool.codegen.dto.GenTableDto;
import cn.datax.common.base.BaseService;

/**
 * <p>
 * 代码生成信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-05-19
 */
public interface GenTableService extends BaseService<GenTableEntity> {

    void saveGenTable(GenTableDto genTable);

    void updateGenTable(GenTableDto genTable);

    GenTableEntity getGenTableById(String id);

    void deleteGenTableById(String id);
}
